Update file

PATCH
https://example.kaiten.ru/api/latest/cards/{card_id}/files/{id}
Path parameters
NameTypeReference
card_idrequiredintegerCard ID
idrequiredintegerFile ID
Headers
NameValue
Content-Typeapplication/json
Attributes
NameTypeConstraintsDescription
card_cover
boolean
Responses

200
DescriptionResponse typeExample
SuccessObject

A schema has not been defined for this response code.

401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
Forbidden. also returned when the company forbids uploading files without restricted access through the public api — the body carries code: "public_api_legacy_file_upload_disabled". see the migration guide at /restricted-access-files-migration.Response body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/files/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!